<!DOCTYPE html>
<head>
    <meta charset="utf-8" />
    <title>Crowdsoft Foundation</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description"
        content="Crowdsoft bietet die Möglichkeit gezielt nach Gleichgesinnten Personen und Unternehmen zu suchen, die einen ähnlichen Anwendungsfall haben, alleine aber nicht in der Lage sind, sich eine eigene Software-Lösung erstellen zu lassen." />
    <meta name="keywords"
        content="kollaborative Software-Entwicklung, Software, Innovation, Kollaboration Lab, arbeitserleichternd Software, Beta-Phase" />
    <!-- favicon -->
    <link rel="shortcut icon" href="images/shortcut-logo.png">
    <!-- Bootstrap -->
    <link href="css/bootstrap.min.css" rel="stylesheet" type="text/css" />
    <!-- Icons -->

    <!-- Slider -->
    <link rel="stylesheet" href="css/tiny-slider.css" />
    <!-- Animation -->
    <link href="css/aos.css" rel="stylesheet" type="text/css" />
    <!-- Main Css -->
    <link href="css/style.css" rel="stylesheet" type="text/css" id="theme-opt" />
    <link href="css/font.css" rel="stylesheet" type="text/css" />
    <link href="css/colors/skobleoff.css" rel="stylesheet" id="color-opt">
    <link href="css/style-crowdsoft.css" rel="stylesheet" type="text/css" id="theme-opt" />
    <!-- Matomo Tag Manager -->
    <!-- <script>
    var _mtm = window._mtm = window._mtm || [];
    _mtm.push({'mtm.startTime': (new Date().getTime()), 'event': 'mtm.Start'});
    var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
    g.async=true; g.src='https://matomo.planblick.com/js/container_yi8vMVBF.js'; s.parentNode.insertBefore(g,s);
    </script> -->
    <!-- End Matomo Tag Manager -->
    <!--Leaflet css file-->
    <link rel="stylesheet" href="./css/leaflet.css" />
   <!--End leaflet css-->
   <script src="./js/leaflet.js"></script>
   <link href="css/map.css" rel="stylesheet" type="text/css" />
   <script src="https://unpkg.com/leaflet-geosearch@3.6.0/dist/geosearch.umd.js"></script>
   
</head>
<body>
    <div>Suche: <input id="search" type="text"/><button id="searchButton" aria-label="Suchen">Search</button></div>
    <div id="results"></div>
    <div id="distances"></div>
    <div id="map"></div>
    <script defer type="module">
        import {Map} from './js/map.js';
        let map = new Map(document.getElementById("search"))
        fetchDealerData().then((data) => {
            map.initMap(data)
        })

        
        document.getElementById("searchButton").addEventListener("click", function() { 
            var search = document.getElementById("search").value;
            document.getElementById("results").innerHTML = "";
            document.getElementById("distances").innerHTML = "";
            searchMap(search)
        })

        document.getElementById("search").addEventListener("input", function() { 
            var search = document.getElementById("search").value;
            document.getElementById("results").innerHTML = "";
            document.getElementById("distances").innerHTML = "";
            searchMap(search)
        })
        
        const searchMap = searchInput => {    
            map.search(searchInput).then((data) => {
                for (let i = 0; i < data.length; i++) {
                    let para = document.createElement("p");
                    para.innerText = data[i].label;
                    para.addEventListener("click", ()=> {
                        map.setSearchPoint(data[i].y, data[i].x)
                        document.getElementById("distances").innerHTML = "";
                        document.getElementById("results").innerHTML = "";
                        let distances = map.getDistancesToPoint(data[i].y, data[i].x)
                        for (let distance of distances) {
                            let para2 = document.createElement("p");
                            para2.innerText = distance.label + ": " + Math.round(distance.distance) + "km";
                            para2.addEventListener("click", event => {
                               map.setCenter(distance.label) 
                            })
                            document.getElementById("distances").appendChild(para2);
                        }
                    })                    
                    document.getElementById("results").appendChild(para);
                }
            })
        }
        
        document.addEventListener("keyup", function(event) {
              if (event.keyCode === 13 && document.getElementById("search").value != "") {
                    event.preventDefault();
                    document.getElementById("searchButton").click();
                }
        })


        function fetchDealerData() {
            return new Promise((resolve, reject) => {
                let dealers = [
                    {
                        "id": 1,
                        "lat": 48.1196598,
                        "long": 11.5320500,
                        "title": "planBLICK GmbH"
                    },
                    {
                        "id": 2,
                        "lat": 51.450832,
                        "long": 7.013056,
                        "title": "planBLICK GmbH Essen"
                    },
                    {
                        "id": 3,
                        "lat": 48.189279,
                        "long": 16.380635,
                        "title": "planBLICK GmbH Vienna"
                    },

                    {
                        "id": 4,
                        "lat": 54.091076,
                        "long": 12.133733,
                        "title": "planBLICK GmbH Rostock"
                    },

                    {
                        "id": 5,
                        "lat": 51.233830,
                        "long": 6.749745,
                        "title": "planBLICK GmbH Düsseldorf"
                    }
                ]
                resolve(dealers)
            })
        }

    </script>
</body>
